diff --git a/src/nvim/testdir/test19.in b/src/nvim/testdir/test19.in
deleted file mode 100644
index aafa34e521..0000000000
--- a/src/nvim/testdir/test19.in
+++ /dev/null
@@ -1,33 +0,0 @@
-Tests for "r<Tab>" with 'smarttab' and 'expandtab' set/not set.
-Also test that dv_ works correctly
-
-STARTTEST
-:so small.vim
-:set smarttab expandtab ts=8 sw=4
-:" make sure that backspace works, no matter what termcap is used
-:set t_kD=x7f t_kb=x08
-/some
-r	:set noexpandtab
-/other
-r	
-:" Test replacing with Tabs and then backspacing to undo it
-0wR			
-:" Test replacing with Tabs
-0wR			
-:" Test that copyindent works with expandtab set
-:set expandtab smartindent copyindent ts=8 sw=8 sts=8
-o{
-x:set nosol
-/Second line/
-fwdv_:?^start?,$w! test.out
-:qa!
-ENDTEST
-
-start text
-		some test text
-test text
-		other test text
-    a cde
-    f ghi
-test text
-  Second line beginning with whitespace
diff --git a/src/nvim/testdir/test19.ok b/src/nvim/testdir/test19.ok
deleted file mode 100644
index 4146214919..0000000000
--- a/src/nvim/testdir/test19.ok
+++ /dev/null
@@ -1,10 +0,0 @@
-start text
-		    ome test text
-test text
-		    ther test text
-    a cde
-    		hi
-test text
-{
-        x
-  with whitespace
diff --git a/src/nvim/testdir/test89.in b/src/nvim/testdir/test89.in
deleted file mode 100644
index f1f64fb41f..0000000000
--- a/src/nvim/testdir/test89.in
+++ /dev/null
@@ -1,71 +0,0 @@
-- Some tests for setting 'number' and 'relativenumber'
-  This is not all that useful now that the options are no longer reset when
-  setting the other.
-- Some tests for findfile() function
-
-STARTTEST
-:so small.vim
-:set hidden nu rnu
-:redir @a | set nu? rnu? | redir END
-:e! xx
-:redir @b | set nu? rnu? | redir END
-:e! #
-:$put ='results:'
-:$put a
-:$put b
-:"
-:set nonu nornu
-:setglobal nu
-:setlocal rnu
-:redir @c | setglobal nu? | redir END
-:set nonu nornu
-:setglobal rnu
-:setlocal nu
-:redir @d | setglobal rnu? | redir END
-:$put =':setlocal must NOT reset the other global value'
-:$put c
-:$put d
-:"
-:set nonu nornu
-:setglobal nu
-:setglobal rnu
-:redir @e | setglobal nu? | redir END
-:set nonu nornu
-:setglobal rnu
-:setglobal nu
-:redir @f | setglobal rnu? | redir END
-:$put =':setglobal MUST reset the other global value'
-:$put e
-:$put f
-:"
-:set nonu nornu
-:set nu
-:set rnu
-:redir @g | setglobal nu? | redir END
-:set nonu nornu
-:set rnu
-:set nu
-:redir @h | setglobal rnu? | redir END
-:$put =':set MUST reset the other global value'
-:$put g
-:$put h
-:"
-:let cwd=getcwd()
-:cd ..
-:" Tests may be run from a shadow directory, so an extra cd needs to be done to
-:" get above src/
-:if fnamemodify(getcwd(), ':t') != 'src' | cd ../.. | else | cd .. | endif
-:$put =''
-:$put ='Testing findfile'
-:$put =''
-:set ssl
-:$put =findfile('test19.in','src/nvim/test*')
-:exe "cd" cwd
-:cd ..
-:$put =findfile('test19.in','test*')
-:$put =findfile('test19.in','testdir')
-:exe "cd" cwd
-:/^results/,$w! test.out
-:q!
-ENDTEST
-
diff --git a/src/nvim/testdir/test89.ok b/src/nvim/testdir/test89.ok
deleted file mode 100644
index c8accd8569..0000000000
--- a/src/nvim/testdir/test89.ok
+++ /dev/null
@@ -1,28 +0,0 @@
-results:
-
-  number
-  relativenumber
-
-  number
-  relativenumber
-:setlocal must NOT reset the other global value
-
-  number
-
-  relativenumber
-:setglobal MUST reset the other global value
-
-  number
-
-  relativenumber
-:set MUST reset the other global value
-
-  number
-
-  relativenumber
-
-Testing findfile
-
-src/nvim/testdir/test19.in
-testdir/test19.in
-testdir/test19.in
diff --git a/test/functional/legacy/019_smarttab_expandtab_spec.lua b/test/functional/legacy/019_smarttab_expandtab_spec.lua
new file mode 100644
index 0000000000..a33bd0c3ae
--- /dev/null
+++ b/test/functional/legacy/019_smarttab_expandtab_spec.lua
@@ -0,0 +1,56 @@
+-- Tests for "r<Tab>" with 'smarttab' and 'expandtab' set/not set.
+-- Also test that dv_ works correctly
+
+local helpers = require('test.functional.helpers')
+local feed, insert = helpers.feed, helpers.insert
+local clear, execute, expect = helpers.clear, helpers.execute, helpers.expect
+
+describe([[performing "r<Tab>" with 'smarttab' and 'expandtab' set/not set, and "dv_"]], function()
+  setup(clear)
+
+  it('is working', function()
+    insert([[
+      start text
+      		some test text
+      test text
+      		other test text
+          a cde
+          f ghi
+      test text
+        Second line beginning with whitespace]])
+
+    execute('set smarttab expandtab ts=8 sw=4')
+    -- Make sure that backspace works, no matter what termcap is used.
+    execute('set t_kD=x7f t_kb=x08')
+
+    execute('/some')
+    feed('r	')
+    execute('set noexpandtab')
+    execute('/other')
+    feed('r	<cr>')
+    -- Test replacing with Tabs and then backspacing to undo it.
+    feed('0wR			<bs><bs><bs><esc><cr>')
+    -- Test replacing with Tabs.
+    feed('0wR			<esc><cr>')
+    -- Test that copyindent works with expandtab set.
+    execute('set expandtab smartindent copyindent ts=8 sw=8 sts=8')
+    feed('o{<cr>x<esc>')
+    execute('set nosol')
+    execute('/Second line/')
+    -- Test "dv_"
+    feed('fwdv_')
+
+    -- Assert buffer contents.
+    expect([[
+      start text
+      		    ome test text
+      test text
+      		    ther test text
+          a cde
+          		hi
+      test text
+      {
+              x
+        with whitespace]])
+  end)
+end)
diff --git a/test/functional/legacy/089_number_relnumber_findfile_spec.lua b/test/functional/legacy/089_number_relnumber_findfile_spec.lua
new file mode 100644
index 0000000000..1f8e49cc81
--- /dev/null
+++ b/test/functional/legacy/089_number_relnumber_findfile_spec.lua
@@ -0,0 +1,116 @@
+-- - Some tests for setting 'number' and 'relativenumber'
+--   This is not all that useful now that the options are no longer reset when
+--   setting the other.
+
+local helpers = require('test.functional.helpers')
+local feed = helpers.feed
+local clear, execute, expect, source = helpers.clear, helpers.execute, helpers.expect, helpers.source
+
+describe("setting 'number' and 'relativenumber'", function()
+  setup(clear)
+
+  it('is working', function()
+    source([[
+        set hidden nu rnu
+        redir @a | set nu? | set rnu? | redir END
+        e! xx
+        redir @b | set nu? | set rnu? | redir END
+        e! #
+        $put ='results:'
+        $put a
+        $put b
+
+        set nonu nornu
+        setglobal nu
+        setlocal rnu
+        redir @c | setglobal nu? | redir END
+        set nonu nornu
+        setglobal rnu
+        setlocal nu
+        redir @d | setglobal rnu? | redir END
+        $put =':setlocal must NOT reset the other global value'
+        $put c
+        $put d
+
+        set nonu nornu
+        setglobal nu
+        setglobal rnu
+        redir @e | setglobal nu? | redir END
+        set nonu nornu
+        setglobal rnu
+        setglobal nu
+        redir @f | setglobal rnu? | redir END
+        $put =':setglobal MUST reset the other global value'
+        $put e
+        $put f
+
+        set nonu nornu
+        set nu
+        set rnu
+        redir @g | setglobal nu? | redir END
+        set nonu nornu
+        set rnu
+        set nu
+        redir @h | setglobal rnu? | redir END
+        $put =':set MUST reset the other global value'
+        $put g
+        $put h
+    ]])
+
+    -- Remove empty line
+    feed('ggdd')
+
+    -- Assert buffer contents.
+    expect([[
+      results:
+      
+        number
+        relativenumber
+      
+        number
+        relativenumber
+      :setlocal must NOT reset the other global value
+      
+        number
+      
+        relativenumber
+      :setglobal MUST reset the other global value
+      
+        number
+      
+        relativenumber
+      :set MUST reset the other global value
+      
+        number
+      
+        relativenumber]])
+  end)
+end)
+
+-- - Some tests for findfile() function
+describe('findfile', function()
+  setup(clear)
+
+  it('is working', function()
+    -- Assume test is being run from project root
+    source([[
+        $put ='Testing findfile'
+        $put =''
+        set ssl
+        $put =findfile('vim.c','src/nvim/ap*')
+        cd src/nvim
+        $put =findfile('vim.c','ap*')
+        $put =findfile('vim.c','api')
+    ]])
+
+    -- Remove empty line
+    feed('ggdd')
+
+    expect([[
+      Testing findfile
+      
+      src/nvim/api/vim.c
+      api/vim.c
+      api/vim.c]])
+  end)
+end)
